<?xml version="1.0"?>
<!--
    The contents of this file are subject to the Mozilla Public License Version 1.1
    (the "License"); you may not use this file except in compliance with the License.
    You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

    Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
    WARRANTY OF ANY KIND, either express or implied. See the License for the specific
    language governing rights and limitations under the License.

    The Original Code is the Venice Web Communities System.

    The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
    for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
    Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

    Contributor(s): 
-->
<render-config>

  <!-- The name of the site; included in the HTML title of the page. -->
  <site-name>Venice Test</site-name>

  <!-- Used to specify general rendering parameters -->
  <rendering>
    <!-- If this is specified, servlets will include HTML comments in their output. -->
    <html-comments/>

    <!-- If this is specified, pages will be transfer-encoded in GZIP if the browser
         allows it. -->
    <!-- <gzip-output/> -->

    <!-- If this is specified, the site will allow Microsoft Internet Explorer 6.0+ Smart
         Tags to be inserted into site text.  This is considered rude by many, and is quite
         possibly a copyright violation by Microsoft (changing the site's text as viewed through
         their browser, without consent of either the author or the end user).  The default setting
         inserts a META tag into the page which *should* prevent this (but may not, if MS provides
         a setting to override site author preferences, which would be despicable). -->
    <!-- <ms-copyright-violations/> -->

    <!-- Specifies the default <FONT FACE=""> to use for all text. -->
    <font>Arial, Helvetica</font>

    <!-- Specifies the location of the stylesheet template file. -->
    <stylesheet>WEB-INF/template.css</stylesheet>

    <!-- Various HTML colors to render portions of the interface in. Note that these may either be
         standard HTML color names or #RRGGBB color values. -->
    <colors>
      <frame-bg>#9999FF</frame-bg>                      <!-- outer frame background -->
      <title-bg>#6666CC</title-bg>                      <!-- title background -->
      <title-fg>white</title-fg>                        <!-- title foreground -->
      <title-link>yellow</title-link>                   <!-- title links -->
      <left-bg>#9999FF</left-bg>                        <!-- left menu bar background -->
      <left-fg>black</left-fg>                          <!-- left menu bar foreground -->
      <left-link>blue</left-link>                       <!-- left menu bar links -->
      <content-bg>white</content-bg>                    <!-- content background -->
      <content-fg>black</content-fg>                    <!-- content text -->
      <content-hdr>#3333AA</content-hdr>                <!-- content header text -->
      <content-disabled>silver</content-disabled>       <!-- disabled text -->
      <content-error>#660000</content-error>            <!-- error message text -->
      <sidebox-title-bg>#6666CC</sidebox-title-bg>      <!-- background of sidebox title (front page) -->
      <sidebox-title-fg>white</sidebox-title-fg>        <!-- foreground of sidebox title (front page) -->
      <sidebox-content-bg>#9999FF</sidebox-content-bg>  <!-- background of sidebox content (front page) -->
      <sidebox-content-fg>black</sidebox-content-fg>    <!-- foreground of sidebox content (front page) -->
      <sidebox-content-link>blue</sidebox-content-link> <!-- links in sidebox content (front page) -->
      <confirm-title-bg>#006600</confirm-title-bg>      <!-- background of confirm box title bar -->
      <confirm-title-fg>white</confirm-title-fg>        <!-- foreground of confirm box title bar -->
      <error-title-bg>#660000</error-title-bg>          <!-- background of error box title bar -->
      <error-title-fg>white</error-title-fg>            <!-- foreground of error box title bar --> 
    </colors>

    <!-- Footer logo scaling expressed as a percentage of full size. -->
    <footer-logo-scale>100</footer-logo-scale>

  </rendering>

  <!-- Used to configure URL paths to various global resources. -->
  <paths>
    <!-- Base URL for all images loaded by the server code.  MUST include the trailing slash. -->
    <image>/venice/images/</image>

    <!-- Base URL for all static pages linked to by the engine.  MUST include the trailing slash. -->
    <static>/venice/static/</static>

    <!-- The site-relative URL to the site logo.  The image should be 140x80 pixels, unless overridden
         by the "width" and "height" attributes. The optional "href" attribute is where clicking on
         the site logo should link to. -->
    <site-logo width="140" height="80"
               href="http://venice.sourceforge.net">/venice/images/powered-by-venice.gif</site-logo>

    <!-- The location of the sidebox configuration file, relative to the application root. -->
    <sidebox-config>WEB-INF/sidebox-config.xml</sidebox-config>

    <!-- The location of the "photo not available" image, relative to either the main
         images directory (if the "fixup" attribute is present) or the site (if it is not).
         Image should be 100x100 pixels. -->
    <photo-not-avail fixup="true">photo_not_avail.gif</photo-not-avail>

  </paths>

  <!-- Contains standard messages displayed by front end -->
  <messages>
    <!-- The message displayed at the top of "top" when you're not logged in (HTML). -->
    <welcome>
      <![CDATA[
Welcome to the <B>Venice Web Communities System</B>.  To get the most out of this site, you should log in
or create an account, using one of the links above.
      ]]>
    </welcome>

    <!-- The headline for the welcome message. -->
    <welcome-top>Welcome to Venice</welcome-top>

    <!-- The headline for the "currents" box. -->
    <currents-top>Venice Currents</currents-top>

    <!-- The text displayed within the page footer (HTML). -->
    <footer-text>
      <![CDATA[
All trademarks and copyrights on this page are owned by their respective companies.<BR>
All messages posted by users on this page are owned by those users.<BR>
The rest: Copyright &copy; 2001 <A HREF="http://www.silverwrist.com">Silverwrist Design Studios</A>,
All Rights Reserved.<BR>
See our <A HREF="/TODO">Policy Page</A> for our copyright and privacy policies.
      ]]>
    </footer-text>

    <!-- The thing that users must click on "I Accept" for before they can create an account -->
    <user-agreement>
      <![CDATA[
Text of this agreement is TBD.
      ]]>
    </user-agreement>

    <!-- Title displayed for above. -->
    <user-agreement-title>Venice User Agreement</user-agreement-title>

  </messages>

  <!-- Menu definitions for the base page -->
  <menu-definitions>

    <!-- Definition for the "top" menu (when not in a community) -->
    <menudef id="top">
      <header>Front Page</header>
      <link href="TODO" type="absolute" disabled="true">Calendar</link>
      <link href="TODO" type="absolute" disabled="true">Chat</link>
    </menudef>

    <!-- Definition for the "fixed" menu (always displayed under the "top" or "community" menus) -->
    <menudef id="fixed">
      <header>About This Site</header>
      <link href="TODO" type="absolute" disabled="true">Documentation</link>
      <link href="about-venice.html" type="frame">About Venice</link>
    </menudef>

  </menu-definitions>

</render-config>
